<?php
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}

function set_fecha($idnum,$fecha)
{
     $empr='hfre';
     if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
     $sql_updt ='update inve1 set fecha ="'.$fecha.'" ';
     $sql_updt.='where idnum1="'.$idnum.'"';
     $res_updt=msql_query($sql_updt,$link_data);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_data);
}

if($cfg_empr=='hfre')
{
     echo '<br>'.date('H:i:s');
     $idnumdic=9024;

     if(1==2)
     {
          
     $sql_updt='update inve1 set fecha ="2020-01-01" where idnum1<='.$idnumdic;
     $res_updt=msql_query($sql_updt,$link_data);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_data);
     }

     echo '<br><br>*/*/*/*/*/<br>';

     if(1==2)
     {
          
//      $sql_inve='select * from inve1 where fecha="20200101" and docu!="IB13" and idnum1<='.$idnumdic.' order by idnum1';
     $sql_inve='select * from inve1 where docu!="IB13" and idnum1<='.$idnumdic.' order by idnum1';
     $res_inve=msql_query($sql_inve,$link_data);
     while($aso_inve=msql_fetch_assoc($res_inve))
     {
//           echo '<br>';
          $docu=$aso_inve['docu'];
          $idnum=$aso_inve['idnum1'];
          $fecha=$aso_inve['fecha'];
          $zidnum=str_pad($idnum, 9, '0', STR_PAD_LEFT);
           
          $fhtml='../_docbak/'.$docu.'_'.$zidnum.'.html';
          $fhtml2='../hfre/_docbak/'.$docu.'_'.$zidnum.'.html';
          $xfecha='';
          if(file_exists($fhtml2))
          {
               $html=file_get_contents($fhtml2);
               $xfecha=$html;
               $xfecha=substr($xfecha,strpos($xfecha,'FECHA:</td'));
               $xfecha=substr($xfecha,0,50);
               $xfecha=substr($xfecha,strpos($xfecha,'<td>')+4);
               $xfecha=substr($xfecha,0,50);
               $xfecha=substr($xfecha,strpos($xfecha,'-')+1);
               $xfecha=substr($xfecha,0,10);
               $xfecha=trim($xfecha);
               
               $xanio='20'.substr($xfecha,-2);
               $xmes=substr($xfecha,3,3);
               $xdia=substr($xfecha,0,2);
               $xmes=strtolower($xmes);
               
               $xmes=str_replace('ene','01',$xmes);
               $xmes=str_replace('feb','02',$xmes);
               $xmes=str_replace('mar','03',$xmes);
               $xmes=str_replace('abr','04',$xmes);
               $xmes=str_replace('may','05',$xmes);
               $xmes=str_replace('jun','06',$xmes);
               $xmes=str_replace('jul','07',$xmes);
               $xmes=str_replace('ago','08',$xmes);
               $xmes=str_replace('sep','09',$xmes);
               $xmes=str_replace('oct','10',$xmes);
               $xmes=str_replace('nov','11',$xmes);
               $xmes=str_replace('dic','12',$xmes);
               
               $xmes=str_replace('jan','01',$xmes);
               $xmes=str_replace('feb','02',$xmes);
               $xmes=str_replace('mar','03',$xmes);
               $xmes=str_replace('apr','04',$xmes);
               $xmes=str_replace('may','05',$xmes);
               $xmes=str_replace('jun','06',$xmes);
               $xmes=str_replace('jul','07',$xmes);
               $xmes=str_replace('aug','08',$xmes);
               $xmes=str_replace('sep','09',$xmes);
               $xmes=str_replace('oct','10',$xmes);
               $xmes=str_replace('nov','11',$xmes);
               $xmes=str_replace('dec','12',$xmes);
               
               $xfecha2=$xanio.$xmes.$xdia;

               
               $sql_updt ='update inve1 set fecha ="'.$xfecha2.'" ';
               $sql_updt.='where idnum1='.$idnum.' ';
               $res_updt=msql_query($sql_updt,$link_data);
               echo '<br>==>'.$sql_updt;
//                echo '<br>'.msql_error($link_data);
          }
          echo '<br>'.$docu.'-'.$idnum.' - '.$fhtml. ' - '.$xfecha. ' - '.$xfecha2.' ==> ';
          echo '<a href="'.$fhtml.'" target="_blank">'.$docu.'-'.$zidnum.'</a>';
     }
     }
     
     echo '<br><br>*/*/*/*/*/<br>';
     
     if(1==2)
     {

     $sql_inve='select * from inve1 where docu="IB13" and idnum1<='.$idnumdic.' order by idnum1';
     $res_inve=msql_query($sql_inve,$link_data);
     while($aso_inve=msql_fetch_assoc($res_inve))
     {
          $docu=$aso_inve['docu'];
          $idnum=$aso_inve['idnum1'];
          $fecha=$aso_inve['fecha'];
          $idfrom=$aso_inve['idfrom'];
          $xfecha2='******';
          
          if(!empty($idfrom))
          {
          $sql_from='select * from inve1 where idnum1='.$idfrom;
          $res_from=msql_query($sql_from,$link_data);
          $xfecha2=msql_result($res_from,0,'fecha');
          
          $sql_updt ='update inve1 set fecha ="'.$xfecha2.'" ';
          $sql_updt.='where idnum1='.$idnum.' ';
          $res_updt=msql_query($sql_updt,$link_data);
          }
          echo '<br>'.$docu.'-'.$idnum. ' - '.$fecha. ' - '.$xfecha2.' ==> ';
               
     }
     }

     echo '<br><br>*/*/*/*/*/<br>';

     if(1==2)
     {
     
     $anio17='21';  
     $sql_inve='select * from inve1 where docu like "%17" and idnum1<='.$idnumdic.'  and (concepto like "%'.$anio17.'%") order by idnum1';
     $res_inve=msql_query($sql_inve,$link_data);
     while($aso_inve=msql_fetch_assoc($res_inve))
     {
          $docu=$aso_inve['docu'];
          $idnum=$aso_inve['idnum1'];
          $numero=$aso_inve['numero'];
          $fecha=$aso_inve['fecha'];
          $idfrom=$aso_inve['idfrom'];
          $concepto=$aso_inve['concepto'];
          $fecha2=$fecha;
          
          $xfec=trim($concepto);
          $xfec=substr($xfec,0,strrpos($xfec,$anio17)+2);
          $xfec=substr($xfec,-15);
          
               $xfec=str_replace('ENE','-01-',$xfec);
               $xfec=str_replace('FEB','-02-',$xfec);
               $xfec=str_replace('MAR','-03-',$xfec);
               $xfec=str_replace('ABR','-04-',$xfec);
               $xfec=str_replace('MAY','-05-',$xfec);
               $xfec=str_replace('JUN','-06-',$xfec);
               $xfec=str_replace('JUL','-07-',$xfec);
               $xfec=str_replace('AGO','-08-',$xfec);
               $xfec=str_replace('SEP','-09-',$xfec);
               $xfec=str_replace('OCT','-10-',$xfec);
               $xfec=str_replace('NOV','-11-',$xfec);
               $xfec=str_replace('DIC','-12-',$xfec);
          
               for($idx=65; $idx<=90; $idx++)
               {$xfec=str_replace(chr($idx),'',$xfec);}
          
               $xfec=str_replace('/','',$xfec);
               $xfec=str_replace('.','',$xfec);
               $xfec=str_replace('//','',$xfec);
               $xfec=str_replace('--','-',$xfec);
          
          $xanio='20'.substr($xfec,-2);
          $xmes=$xfec;
          $xmes=substr($xmes,0,strrpos($xmes,'-'));
          $xmes=substr($xmes,-2);

          $xdia=(int)$xfec;
          $xdia=str_pad($xdia,2,'0',STR_PAD_LEFT);
          
          $fecha2=$xanio.'-'.$xmes.'-'.$xdia;
          
          echo '<br>'.$idnum.'-'.$docu.'-'.$numero.'-'.$fecha.'==>'.$fecha2.' /'.$concepto;
          
          $fecha2=str_replace('-','',$fecha2);
          if(strlen($fecha2)==8)
          {set_fecha($idnum,$fecha2);}
          if(strlen($fecha2)!=8)
          {echo '***';}
          
     }
     }

     echo '<br><br>*/*/*/*/*/<br>';
     
     set_fecha(4953,"20210622");
     set_fecha(4954,"20210622");
     set_fecha(5266,"20210622");
     set_fecha(5683,"20210720");
     set_fecha(6541,"20210827");
     set_fecha(6542,"20210827");
     set_fecha(8162,"20210831");
     set_fecha(8163,"20210831");
     
     echo '<br><br>*/*/*/*/*/<br>';
    
     $sql_updt ='update inve1 set fecha ="2020-10-31" ';
     $sql_updt.='where idnum1<='.$idnumdic.' ';
     $sql_updt.='and docu="IB00"';
     $res_updt=msql_query($sql_updt,$link_data);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_data);
     
     $sql_updt ='update inve1 set fecha=idate ';
     $sql_updt.='where (fecha="2020-01-01" or fecha is null)';
     $sql_updt.='and idnum1<='.$idnumdic.' ';
     $sql_updt.='and idate is not null ';
     $res_updt=msql_query($sql_updt,$link_data);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_data);
     
     set_fecha(0446,"2020-12-04");
     set_fecha(8416,"2021-10-31");
     set_fecha(8670,"2021-07-01");
     set_fecha(8319,"2021-10-28");

     
     set_fecha(379,"2020-12-04");
     set_fecha(317,"2020-12-02");
     set_fecha(432,"2020-12-07");
     set_fecha(446,"2020-12-07");
     set_fecha(4239,"2021-06-03");
     set_fecha(5237,"2021-07-07");
     
     set_fecha(5487,"2021-07-20");
     set_fecha(5488,"2021-07-20");
     
     // 7ene
     
     set_fecha(70,"2020-10-31");
     set_fecha(561,"2020-12-05");
     set_fecha(1051,"2020-12-28");
     set_fecha(1347,"2021-01-18");
     set_fecha(1742,"2021-02-04");
     set_fecha(1440,"2021-02-02");
     set_fecha(1755,"2021-02-12");
     set_fecha(3478,"2021-04-23");
     set_fecha(1179,"2021-01-14");
     set_fecha(2594,"2021-03-26");
     set_fecha(2500,"2021-03-22");
     
     set_fecha(1584,"2021-02-10");
     set_fecha(1585,"2021-02-10");
     set_fecha(1684,"2021-02-18");
     set_fecha(1685,"2021-02-18");
     set_fecha(5547,"2021-07-20");
     set_fecha(5549,"2021-07-20");
     set_fecha(2098,"2021-03-02");
     set_fecha(2099,"2021-03-02");
     set_fecha(2750,"2021-04-06");
     set_fecha(2751,"2021-04-06");
     set_fecha(1680,"2021-02-13");
     set_fecha(1681,"2021-02-13");
     set_fecha(2093,"2021-03-02");
     set_fecha(2094,"2021-03-02");
     set_fecha(1561,"2021-02-06");
     set_fecha(1562,"2021-02-06");
     set_fecha(3842,"2021-05-19");
     set_fecha(3843,"2021-05-19");
     set_fecha(3901,"2021-05-19");
     set_fecha(3902,"2021-05-19");
     set_fecha(2775,"2021-04-06");
     set_fecha(2776,"2021-04-06");
     set_fecha(1549,"2021-02-09");
     set_fecha(1550,"2021-02-09");
     set_fecha(1686,"2021-02-16");
     set_fecha(1687,"2021-02-16");
     set_fecha(2324,"2021-03-17");
     set_fecha(2325,"2021-03-17");
     set_fecha(5544,"2021-07-21");
     set_fecha(5545,"2021-07-21");
     set_fecha(1676,"2021-02-13");
     set_fecha(1677,"2021-02-13");
     
     
     
     set_fecha(159,"2020-11-19");
     set_fecha(3828,"2021-05-19");
     set_fecha(3828,"2021-02-06");
     set_fecha(1521,"2021-02-05");
     set_fecha(3772,"2021-05-15");
     set_fecha(4458,"2021-06-02");
     set_fecha(5768,"2021-07-21");
     
     
     
     // 10 enero

     set_fecha(740,"2020-12-18");
     set_fecha(749,"2020-12-18");
     set_fecha(1736,"2021-02-19");
     set_fecha(1737,"2021-02-19");
     set_fecha(1016,"2021-01-06");
     set_fecha(1017,"2021-01-06");
     set_fecha(9794,"2021-12-28");
     set_fecha(9795,"2021-12-28");
     set_fecha(9387,"2021-12-14");
     set_fecha(9388,"2021-12-14");
     

//      set_fecha(8212,"2021-10-26");
//      set_fecha(8212,"2021-11-01");
//      set_fecha(8214,"2021-11-04");
//      set_fecha(9449,"2021-12-08");
//      set_fecha(1390,"2021-01-20");
     
     
     
     
}
return;


?>